Subject: Fish Emulsion

From: [email-masked] (John Palinkas)
Date: Wed, 15 Mar 1995 18:25:00 -0500

I read in an Organic Gardening magazine about using Fish Emulsion
Fertilizer when starting vegetable seedlings indoors.  Does anyone have
experience with this?  Do you know a supplier for the stuff?
Thanks.
---
 þ OLXWin 1.00 þ [email-masked]

---------------------------------------------------------------
PC-Ohio PCBoard            pcohio.com        Data: 216-381-3320
The Best BBS in America    Cleveland, OH
---------------------------------------------------------------